{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "图书",
    "lanResTag" : "DE.LNAME.IBIZBOOK",
    "lanResType" : "DE.LNAME",
    "mOSFilePath" : "pslanguageres/Auto395",
    "name" : "实体逻辑名称（DE.LNAME.*）[IBIZBOOK]",
    "rTMOSFilePath" : "pslanguageres/Auto395",
    "refFlag" : true
  },
  "caption" : "图书",
  "codeName" : "IBIZBOOKUsr4TreeView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKUsr4TreeView.json",
  "mDCtrlActiveMode" : 2,
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4TreeView",
  "name" : "IBIZBOOKUsr4TreeView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "TreeView",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4TreeView/psappviewengines/engine",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "tree",
      "name" : "TREE",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSControls" : [ {
    "codeName" : "Treepug",
    "controlType" : "TREEVIEW",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSTREEVIEWS/Treepug.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
    "logicName" : "树插件",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetreeviews/Treepug",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "树视图处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SELECTIONCHANGE;LOAD",
      "logicTag" : "tree",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_tree",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "TREE"
    },
    "getPSDEDataImport" : {
      "modelref" : true,
      "id" : "DataImport"
    },
    "getPSDETreeNodeRSs" : [ {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "test1"
      },
      "name" : "默认根节点 - 测试1",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "ROOT"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    } ],
    "getPSDETreeNodes" : [ {
      "counterMode" : 0,
      "name" : "测试1",
      "nodeType" : "test1",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "text" : "测试1",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : false,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "test1"
    }, {
      "counterMode" : 0,
      "name" : "默认根节点",
      "nodeType" : "ROOT",
      "nodeValue" : "root",
      "text" : "默认根节点",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : true,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "ROOT"
    } ],
    "getPSSysPFPlugin" : {
      "pluginType" : "CUSTOM",
      "pluginCode" : "treePlugin"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4TreeView/psappviewctrls/tree",
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "treeGridMode" : 0,
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "enableRootSelect" : false,
    "outputIconDefault" : true,
    "rootVisible" : false,
    "name" : "tree",
    "modelid" : "19826ED0-0E34-4E0B-804E-41588A4F8CA4",
    "modeltype" : "PSDETREEVIEW"
  } ],
  "getPSDEViewCodeName" : "Usr4TreeView",
  "getPSDEViewId" : "DECBBA8D-5F95-4DD5-A846-24F20AAFE7D8",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDETREEVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4TreeView/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4TreeView",
  "title" : "图书树视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DETREEVIEW",
  "xDataControlName" : "tree",
  "enableDP" : true,
  "enableFilter" : false,
  "modelid" : "22299f593480c67108c96ce5202eeb8c",
  "modeltype" : "PSAPPDEVIEW"
}